1998-12-17  Manfred Hollstein  <manfred@s-direktnet.de>

	* String.cc (Scapitalize): Initialize `at_word' at definition to
	avoid compiler warning.

	* Integer.cc (bitop): Initialize `newsgn' at definition to avoid
	compiler warning.
	(setbit): Define `bw' and `sw' to unsigned.
	(gcd): Use unsigned loop iterator variable `j'.

	* BitSet.cc (BitSet::set): Change type of `index' to unsigned.
	(BitSet::next): Likewise.
	(BitSet::count): Change type of `i' to unsigned.
	(BitSet::next): Likewise.
	(atoBitSet): Change type of `sl' to unsigned.
	(BitSet::printon): Use unsigned loop iterator variable `j'.

	* BitString.cc (BitString::next): Change type of `i' and `last'
	to unsigned.
	(atoBitString): Change type of `sl' to unsigned.
	(atoBitPattern): Likewise.

1998-12-09  Manfred Hollstein  <manfred@s-direktnet.de>

	* String.cc (Scopy): Cast unsigned short vars explicitly to signed short
	to get proper sign extension.
	(Sprepend): Likewise.
	(SubString::assign): Likewise.
	(String::_gsub): Likewise.
	(Sreverse): Likewise.
	(Supcase): Likewise.
	(Sdowncase): Likewise.
	(Scapitalize): Likewise.
	(SubString::OK): Likewise.

	* Regex.cc (Regex::Regex): Use "typeof" for casting various pointers
	to avoid glibc related signed/unsigned problems.

Mon Aug 31 12:27:58 1998  Manfred Hollstein  <manfred@s-direktnet.de>

	* Merge changes from current Cygnus development version; this includes
	replacing "int" with "_G_int32_t", "unsigned int" with "_G_uint32_t",
	corrections for properly handling precision issues with floating point
	code.

	* depend: Fix white space and quoting stuff.

Wed Jul  8 07:37:03 1998  H.J. Lu  (hjl@gnu.org)

	* Makefile.in ($(OBJS)): Add stamp-picdir to dependency.
	(libgxx.list): Remove stamp-picdir from dependency.

Wed Jan 28 01:56:00 1998  Manfred Hollstein  <manfred@s-direktnet.de>

	* configure.in (package_makefile_rules_frag): New and
	redirect stderr from ${srcdir}/config.shared to
	${package_makefile_rules_frag}.

Wed Jan 14 09:16:48 1998  H.J. Lu  (hjl@gnu.org)

	* Makefile.in (_G_CONFIG_H): New.
	(gxx_includedir): Changed to gxx_include_dir.

	* configure.in (ALL): Changed to libgxx.list.
	(rx.h): Change existing rx.h or regex.h for Linux.

	* depend (../../libio/_G_config.h): Changed to $(_G_CONFIG_H).

	* gen/MPlex.hP (<T>MChunk:: ~<T>MChunk): Delete array with [].

Wed Jan 14 05:26:48 1998  Klaus-Georg Adams <Klaus-Georg.Adams@chemie.uni-karlsruhe.de>

	* SmplHist.cc (SampleHistogram::~SampleHistogram): Delete
	arrays with [].

Wed Dec  3 16:45:27 1997  Ian Lance Taylor  <ian@cygnus.com>

	* malloc.c: Update to version 2.6.4.

Thu Nov 27 19:07:31 1997  Michael Meissner  <meissner@cygnus.com>

	* ACG.cc (randomStateTable): Declare type to be short.

Tue Oct  7 10:45:06 1997  Michael Meissner  <meissner@cygnus.com>

	* hash.cc (multiplicativehash): Add 'U' suffix to large unsigned
	constant.
	* ACG.cc (LC_{A,C}): Ditto.

Sat Sep 13 00:22:41 1997  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* gen/Stack.hP: Also #undef OK here as well.
	* gen/Queue.hP: Likewise.
	* gen/Deque.hP: Likewise.

Tue Sep  9 10:57:14 1997  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* gen/Plex.hP: Make sure OK is #undef'd before the class.  Fixes
 	problem with m68k-vxworks5.1 target.

Wed Sep  3 11:31:08 1997  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* gen/AVec.hP (max, min): Add #undef after including "<T>.Vec.h",
	to avoid problems with the VxWorks <VxWorks.h> header.

Thu Jul 31 15:43:39 1997  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* gen/defs.hP: Add #undef OK after including _G_config.h files, to
	avoid problems on VxWorks.

Mon Nov 25 14:09:41 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* gen/List.hP, gen/AVec.hP: Add const.

Tue Jun 18 18:31:28 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* BitSet.h (BitSet): Comment out parameter name 'op' in second
 	constructor.

Tue Jun 18 11:07:32 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* AllocRing.cc (AllocRing): Fix order of init of N and CURRENT.

Mon Jun 17 14:15:01 1996  Per Bothner  <bothner@deneb.cygnus.com>

	* Regex.cc (Regex::~Regex):  Fix memory leak.

	* BitSet.h:  If __STRICT_ANSI__, do not define and, or, xor, diff,
	and complement, since the first 3 conflict with ANSI C++ digraphs.
	Re-implement operator& etc to not use 'and' etc and be more efficient.
	* Integer.h:  Likewise, fix for __STRICT_ANSI__.

	* BitSet.cc:  Add casts in length arguments to memset.

	* bitlcomp.c, bitprims.h (_BS_lcompare_0):  Add const.

Tue Jun 11 13:42:29 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* AllocRing.cc (AllocRing): Reorder init of NODES and N to match
	declaration order. 

Wed May  1 14:48:50 1996  Per Bothner  <bothner@andros.cygnus.com>

	* malloc.c:  New version from Doug Lea.

	* gen/Vec.ccP (gsort):  Re-do Mar 30 fix.

Wed Apr 24 10:58:05 1996  Doug Evans  <dje@blues.cygnus.com>

	* depend: Regenerated.

Wed Mar 27 15:06:11 1996  Per Bothner  <bothner@kalessin.cygnus.com>

	* Binomial.h (Binominal::u):  Fix parameter from int to double.
	From John Hasler <uunet!hasler!root>.

Sun Mar 24 21:46:28 1996  Per Bothner  <bothner@kalessin.cygnus.com>

	* Strings.cc:  Subtract chars giving int (not signed char) to avoid
	truncation.  From Emmanuel Giguet <giguet@calvin.info.unicaen.fr>.

Mon Feb  5 19:32:49 1996  Per Bothner  <bothner@kalessin.cygnus.com>

	* gen/VHMap.ccP:  Add missing [] in delete.
	From Dirk Bonne <h0444xiv@hppool9.rz.hu-berlin.de>.

Sat Mar 30 15:31:49 1996  Per Bothner  <bothner@kalessin.cygnus.com>

	* gen/Vec.ccP (gsort):  Fix stack/loop fence-post error.

Wed Jan 24 18:26:20 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (OBJS): Take out CursesW.o.

Fri Dec 22 17:41:20 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* String.cc (common_prefix, common_suffix):  Fix Nov 9 bad fix.

Tue Dec 12 19:34:02 1995  Jason Molenda  (crash@phydeaux.cygnus.com)

	* Makefile.in (OBJS): add sqrt.o not sqrt..o.

Tue Dec 12 17:18:41 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* str.cc, chr.cc, Makefile.in:  Moved str() and chr() to libio.

Thu Nov 30 13:21:58 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* BitSet.h, BitSet.cc:  Fixed problem on Alpha where 1 was being
	shifted, rather than (_BS_word)1.
	Problem diagnosed by Robin Williams <rjrw@ast.man.ac.uk>.
	* BitSet.cc (MASK1):  New macro, to save code duplication.

Wed Nov 22 15:49:01 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* malloc.c (realloc):  Old copy if we failed to allocate.
	Also, use memcpy to copy.
	(calloc):  Don't zero memory if malloc failed.  Also, use memset.
	Fix from Raymond Nijssen <raymond@es.ele.tue.nl>.

Sun Nov 12 16:41:56 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* configure.in (EXTRA_DISTCLEAN):  Add rx.h.

Thu Nov  9 17:43:04 1995  Jason Merrill  <jason@yorick.cygnus.com>

	* String.cc (common_prefix, common_suffix): Fix for scoping for
 	non-NRV case.
	* configure.in (MOSTLYCLEAN): Add pic and stamp-picdir.
	From alan@spri.levels.unisa.edu.au (Alan Modra).

Thu Nov  2 21:54:45 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* BitSet.cc (shorttoBitsSet, longtoBitSet): Re-implement for
	new word-length.	

Wed Sep 27 10:18:03 1995  Roberto Bagnara  <bagnara@di.unipi.it>

	* BitSet.cc: several bug fixes, mainly concerning the treatment
	(especially in comparison operators) of non-normalized reps
 	(e.g. with trailing zeros).
	* bitlcomp.c (_BS_lcompare_0): was completely wrong, fixed.
	* BitSet.h: added lexical comparison function on BitSets
	int lcompare(const BitSet& x, const BitSet& y).
	* BitSet.h: now makes use of the _BS_* macros of bitprims.h.

Tue Sep  5 23:08:05 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* depend: Updated now that libstdc++ doesn't have a string.h.

Fri Sep  1 13:22:47 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* bitprims.h (_BS_BITMASK):  Cast 1 to _BS_word.
	Fix from Curtis A. Snyder <C1S@icf.hrb.com>.

Tue Aug 29 21:53:34 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* builtin.h: Remove 'noreturn' attribute from error handler typedefs.

Tue Aug 22 15:11:46 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* error.cc (default_one_arg_error_handler): Lose uses of
 	_VOLATILE_VOID and NoReturnFunc.
	* builtin.h: Replace use of _VOLATILE_VOID with __attribute__
 	((noreturn)).

Mon Aug 21 12:41:20 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* builtin.h: Lose definitions of abs(float), abs(double) and
 	abs(long).

	* std.h: Use C++ names of standard headers.

	* Complex.h: Use complex<double> from libstdc++.
	* Complex.cc: Remove.
	* Makefile.in: Forget about Complex.o.

Wed Aug  2 17:19:12 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* gen/AVLSet.hP. gen/BSTSet.hP, gen/CHMap.hP, gen/CHNode.hP,
	gen/DLList.hP, gen/RAVLMap.hP, gen/SLList.hP, gen/SplayMap.hP,
	gen/SplayNode.hP:  Re-order constructor args to avoid -Wall warnings.
	* gen/BSTSet.ccP (T>BSTSet::add):  Re-arrange to avoid warning.
	* gen/MPlex.ccP:  Make constant unsigned to avoid warning.
	* gen/PHPQ.ccP:  Add parentheses to avoid warning from -Wall.

Sun Jun 25 13:58:25 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* gen/CHMap.hP, gen/AVLSet.hP:  Re-order constructor args,
	to avoid warnings.  Reported by Per Cederqvist <ceder@lysator.liu.se>.
	* RndInt.h:  Likewise. Reported by Ralf Stephan <ralf@ark.franken.de>.

Tue Jun 20 20:27:23 1995  Paul Eggert  <eggert@twinsun.com>

	* CursesW.h (_begx, _begy, _maxx, _maxy):
	Define to be their _-less equivalents
	if __bsdi__, __NetBSD__, or __FreeBSD__ is defined,
	to work around an incompatibility with 4.4 BSD curses.

Tue Jun 20 16:49:36 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* SmplStat.h, gen/*.hP: Declare inline virtuals accordingly in class.

Wed Jun 14 21:45:44 1995  Jason Merrill  <jason@python.cygnus.com>

	* CursesW.cc (OK): Define if not already defined.

Mon Jun  5 18:42:04 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* Makefile.in (libgxx.list): Depend on stamp-picdir.

Mon May 22 23:46:34 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* bitprims.h:  Rewrite __GNUC__ test to work with gcc-1.xx.

Fri May  5 17:25:17 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* timer.c: #include <sys/types.h> also if we have <sys/resource.h>.

Fri May  5 13:04:17 1995  Mike Stump  <mrs@cygnus.com>

	* Move `for' decl out of `for' statement.

Thu Apr 27 01:03:42 1995  Jason Merrill  <jason@python.cygnus.com>

	* Fix24.h: Move definition of ~Fix48 up.
	* Fix16.h: Move definition of ~Fix32 up.

Wed Apr 26 13:01:30 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* configure.in (XCINCLUDES): Rename to work with config.shared change.

Mon Apr 17 16:59:17 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* BitSet.h:  Remove duplicate (forward) decls of inline functions.

Sun Apr 16 12:47:53 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* CursesW.h:  Make return type explicit instead of implicit int.
	Reported by Ulrich Drepper <drepper@ipd.info.uni-karlsruhe.de>.

	* SLList.h (BaseSLNode):  Force double alignment of derived fields.

Thu Mar 30 18:09:58 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* AllocRing.cc (alloc): Call operator new/delete directly.
	* String.cc (Snew): Use placement new to create the new rep.
	* BitSet.cc (BSnew): Ditto.
	* BitString.cc (BSnew): Ditto.
	* Fix.cc (_new_Fix): Ditto.
	* Obstack.cc (newchunk): Ditto.
	* Integer.cc (Inew): Ditto.
	(printon): Use array delete to match array new.

Fri Feb 17 16:33:39 1995  Ian Lance Taylor  <ian@cygnus.com>

	* timer.c: If _G_HAVE_SYS_TIMES is 0, define USE_CLOCK.  Add
	USE_CLOCK cases where needed which call the ANSI function clock.

	* BitSet.h: Add #undef OK after including system header files, to
	avoid problems on VxWorks.
	* BitString.h, DLList.h, Integer.h, Obstack.h: Likewise.
	* Rational.h, Regex.h, SLList.h, String.h: Likewise.
	* BitSet.cc, BitString.cc, Integer.cc, Rational.cc: Likewise.
	* String.cc: Likewise.

	* SmplStat.h: Add #undef min and #undef max after including system
	header files.

	* timer.c (return_elapsed_time): Fix syntax of #if 0 case.

Mon Feb  6 20:10:35 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* Makefile.in (OBJS): Don't include EH support anymore.
	* except.c: Move code to libstdc++/exception.cc.

Thu Jan 26 13:16:09 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* Fix.h: Add Fix(_G_uint16_t) for targets where _G_uint16_t does
        not promote to int.

Fri Jan 20 01:36:37 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* Makefile.in (OBJS): Remove new.o and math.o.

	* std.h: Include std/stddef.h instead of defines.h.
	* complex.h: Remove (replaced by libstdc++ version).
	* defines.h: Remove (replaced by libstdc++ std/stddef.h).
	* new.{cc,h}: Remove (replaced by libstdc++ new.cc and std/new.h).
	* drt0.c, dynamic_lib.c, init.c, init_main.c: Remove (obsolete).
	* math.cc, xyzzy.cc: Remove (obsolete).	
	* depend: Update.

Wed Dec 14 18:41:11 1994  Per Bothner  <bothner@kalessin.cygnus.com>

	* gen/VQueue.ccP (VQueue::resize):  Fix thinko.  Reported by
	Jocelyn Serot <jserot@alize.univ-bpclermont.fr>.

Tue Dec 13 17:05:02 1994  Per Bothner  <bothner@kalessin.cygnus.com>

	* gen/AVLMap.hP:  Re-order base initializer to avoid warning.
	Patch from Gustavo Chaves <gustavo@cpqd.br>.

Tue Nov 29 12:58:44 1994  Per Bothner  <bothner@kalessin.cygnus.com>

	* gen/Map.hP (Map::empty, Map::length):  Make const.
	Patch from Gustavo Chaves <gustavo@cpqd.br>.

Sat Nov  5 19:13:17 1994  Jason Merrill  (jason@phydeaux.cygnus.com)

	* configure.in (LIBDIR): Set.

Sat Nov  5 16:23:02 1994  Per Bothner  <bothner@kalessin.cygnus.com>

	* Makefile.in (REGEX_OBJ):  Remove ../../librx/rx.o.
	This is now the responsibility of ../Makefile.in.

Fri Nov  4 21:46:30 1994  Paul Eggert  <eggert@twinsun.com>

	* bitprims.h (__P): Change argument name spelling from
	`paramlist' to `protos' for compatibility with BSDI 1.1.

Mon Oct 24 16:06:44 1994  Per Bothner  <bothner@kalessin.cygnus.com>

	* CursesW.h (box):  Slightly more complicated "wrapper" to turn
	box macro into inline function, needed for Solaris2
	(which defines box with no arguments as box32).

Fri Oct 14 16:36:56 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* CursesW.h:  Wrap #include <curses.h> by extern "C" { ... },
	because even systems with "C++-ready" header files often miss curses.h.

	* DLList.cc (BaseDLList::del): Fix memory leak.
	Patch from Mark Stankus <mstankus@oba.ucsd.edu>.

Thu Oct 13 16:57:08 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* gen/List.hP, gen/List.ccP (copy):  Take const argument.
	(List::seekK):  Make const.
	(const <T>& operator () (Pix p) const):  Added.
	* gen/List.hP (operator!=):  Add missing inline.
	* gen/List.hP (new):  Take const argument.
	* gen/List.ccP (List::del):  Defer deleting.
	Patches from Klamer Schutte <schutte@tpd.tno.nl>.

Wed Oct 12 13:49:27 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* String.cc (Sresize):  Make static.
	* String.h, String.cc (String::alloc):  Don't change length, only size.
	Bug reported by Mark Stankus <mstankus@oba.ucsd.edu>.
	* String.cc (join):  Use Sresize, not (changed) String::alloc.
	Also, merge NO_NRV and named return value versions.	

Thu Sep 29 03:23:24 1994  Philippe De Muyter (phdm@info.ucl.ac.be)

	* timer.c: include <sys/types.h> before <sys/times.h>

Tue Sep 27 13:27:17 1994  Mike Stump  (mrs@cygnus.com)

	* Makefile.in, depend, except.c: New support routines for EH.

Sun Sep  4 14:22:25 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* String.cc:  Remove unneeded #include <regex.h>.

Thu Sep  1 16:34:33 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* error.cc (#define ABORT):  Add missing parentheses.

	* regex.cc, regex.h:  Removed.

Wed Aug 31 10:32:57 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* SLList.h: Make BaseSLList::{error,owns,OK} const, create const
	SLList::{first,next}.
	* DLList.h: Similarly.

Fri Aug 26 18:44:43 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* SLList.h: Make SLList::first and SLList::next const, create
        const SLList::operator().
	* DLList.h: Similarly.

Tue Aug 16 11:41:43 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* Regex.cc (Regex::Regex):  Add missing 'const'.

	* configure.in (rx.h):  Add link to ../../librx/rx.h.

Mon Aug 15 16:41:30 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* Regex.cc, Makefile.in:  Change to use Tom Lord'd rx library,
	instead of (a very old version of) the regex library.

Fri Aug 12 12:05:39 1994  Brendan Kehoe  (brendan@lisa.cygnus.com)

	Improve Alpha support a bit more.

	* Fix.cc (Fix::shift): Cast Y to _G_int32_t, not long.
	(Fix::printon): Use _G_int32_t, not long.
	* Fix16.h: Declare all methods to take/return _G_{u,}int32_t, not long
	or unsigned long.
	(Fix32_fs, Fix32_msb, Fix32_m_max, Fix32_m_min): Cast to _G_{,u}int32_t
	not long/unsigned long.
	(class Fix32): Make member M _G_int32_t.  Declare methods round,
	assign, both mantissa, overflow, and range_error to use _G_int32_t.
	* Fix16.cc: Likewise.
	(operator*, operator/): Declare stuff to be _G_uint32_t, not unsigned
	long.
	* Fix24.h (twolongs): Make them _G_{,u}int32_t, not long/unsigned long.
	(class Fix24): Same as above for Fix32.
	* Fix24.cc: As in Fix16.cc.

	* RNG.h (RNG::asLong): Make its return value _G_uint32_t.
	* MLCG.h (MLCG::asLong): Likewise.
	* MLCG.cc (MLCG::asLong): Likewise.

	* ACG.h (ACG): Make members initialSeed, state, auxState, and
	lcgRecurr to be _G_uint32_t.
	(ACG::ACG): Declare SEED to be _G_uint32_t.
	(ACG::asLong): Declare return value to be _G_uint32_t.
	* ACG.cc (ACG::reset): Check _G_int32_t, not long, against double.
	Define local variable U to be _G_uint32_t, not unsigned long.
	(randomPermutations): Define as _G_uint32_t, not unsigned long.
	(seedTable): Likewise.
	(LC_A, LC_C, LCG): Likewise.
	(ACG::ACG): Define SEED argument to be _G_uint32_t, not unsigned
	long.  Create a _G_uint32_t for STATE, not an unsigned long.
	(ACG::asLong): Declare return to be _G_uint32_t.  Make local
	variables RESULT, AUXACG, and PERM also be _G_uint32_t.

Tue Aug  2 00:53:01 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* defines.h (enum capacity): Define.

Fri Jul 22 17:31:37 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* String.h (String::operator[](int) const):  New method,
	added to allow indexing of const Strings.  Patch 
	from Klamer Schutte <schutte@tpd.tno.nl>.

Thu Jul 21 23:41:36 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* builtin.h:  Remove unneeded forward declarations.  (Compiling
	with -Wall complains because they are missing "inline".)
	Reported by Michael Haggerty <mhagger@rigel.krl.caltech.edu>.

Wed Jul 20 14:54:50 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* String.h:  Add "inline" to friend declarations, and remove
	some unneeded forward references, to avoid complaints from -Wall.
	Patch from Klamer Schutte <schutte@tpd.tno.nl>.

Tue Jul 19 12:35:13 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* Complex.h:  Remove unneeded forward declarations.  (Compiling
	with -Wall complains because they are missing "inline".)
	Reported by John Eaton <jwe@che.utexas.edu>.

Mon Jul 18 18:15:17 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* String.h, String.cc:  Add const to some parameter types,
	to fix to const violations.

Fri Jul  1 11:20:34 1994  Brendan Kehoe  (brendan@phydeaux.cygnus.com)

	* MLCG.cc (seedTable): Declare to be a _G_int32_t, not a long.
	(MLCG::MLCG): Make its arguments likewise.
	(MLCG::reset): Also make SEED1 and SEED2 _G_int32_t.
	(MLCG::asLong): Likewise for local variables K and Z.
	* MLCG.h (class MLCG): Declare members to be _G_int32_t, not long.
	Make constructor and other mothod args and return type match the
	way we've adjusted them.

	* RNG.cc (RNG::RNG): Check against _G_uint32_t, not unsigned long.
	* RNG.h: Include _G_config.h.
	(PrivateRNGSingleType, PrivateRNGDoubleType): Adjust U member the
	same way...use _G_uint32_t, not unsigned long.

Tue Jun 28 03:04:13 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* gen/List.*: Add some 'const's.
	* gen/Vec.*: Ditto.

	* gen/AVec.* (Vec): Add additional vec() method for const AVecs,
        which returns a const pointer.  The operand of operator = is a
        const reference.

Mon Jun 27 17:49:25 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* Fix.*: Add lots of 'const's.  Lose _Fix typedef for _Frep*, as
        it caused confusion like thinking that 'const _Fix' was meaningful
        and declaring references to _Fix.  Move _Frep inside of Fix and
        rename it to Rep.  Move lots of associated functions and variables
        inside Fix.  Use _G_int16_t instead of uint16.  Put function names
        flush left.

	* gen/List.* (operator =): Make parameter a const reference.

	* Fix.h (operator =): Make parameter a const reference.

Wed Jun 15 10:50:35 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* String.cc (Scapitalize):  Don't consider '\'' a word break.

Tue May 31 09:18:10 1994  Mike Stump  (mrs@cygnus.com)

	* BitString.cc: Make more portable to machines where sizeof(int)
	!= sizeof(long).  Cures warnings on Alpha.

Mon May 30 17:31:18 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* bitcount.c:  #define inline as empty if compiled
	by a non-GNU C compiler.
	* Makefile.in (install):  Install include files.
	(This used to be done by ../Makefile.in.)

Sun May 29 19:07:29 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* bitdo2.h:  Fix typo/thinko:  srcbit -> dstbit.

Wed May 25 15:45:37 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* SLList.h (SLList<T>::empty): Move up the hierarchy (to become
	BaseSLList::empty), and make const.
	* DLList.h, DLList.cc (BaseDLList::empty, BaseDLList::length):
	Make const.

Sun May 22 17:13:24 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* bitand.c, bitany.c, bitblt.c, bitclear.c, bitcopy.c, bitcount.c,
	bitdo1.h, bitdo2.h, bitinvert.c, bitlcomp.c, bitprims.h, bitset1.c,
	bitxor.c:  Preliminary version of language-independent (sub-)library
	for general low-level manipulation of bistrings.
	* BitString.h, BitString.cc, Makefile.in:  Partially re-written
	BitString class using the new library.

	* sysent.h:  New file, provided for compatibility with other C++
	compilers, and so Fresco can compile.

Thu May 19 23:00:26 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* gen/PHPQ.ccP (<T>PHPQ::OK): Set int variable to INT_MAX, not
	LONG_MAX.

Fri May 13 14:14:47 1994  Mike Stump  (mrs@cygnus.com)

	* bool.h: Use builtin bool, true, and false, if compiler supports
	them. 

Wed May 11 00:31:12 1994  Jason Merrill  (jason@deneb.cygnus.com)

	Make libg++ build with gcc -ansi -pedantic-errors
	* ?LList.*: Add 'const' as necessary to make conformant.
	* {BitSet,BitString,Integer,Rational,String}.*: Change NO_NRV to
	_G_NO_NRV.
	* {Fix,Integer,Rational}.*: Protect uses of <? and >? with #ifndef
	__STRICT_ANSI__.
	* generic.h: Put /* */ around #endif comment.
	* regex.cc: Remove comma at end of enumerator list.

Fri May  6 14:25:15 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* SLList.h, SLList.cc (BaseSLList::length):  Make const.

Thu May  5 14:28:30 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* defines.h: Avoid multiple definition of wint_t.

Sat Apr 30 14:49:02 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* defines.h: New file as per 17.3.1 of the WP.
	* new.h: include defines.h instead of std.h.
	(new[]): Add default placement version of opeator new[].
	* std.h: include defines.h instead of stddef.h.

Mon Apr 25 14:05:57 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* Fix24.h (operator>>): Cast mask to long explicitly, since it
	doesn't fit in a long.

Sun Mar 27 18:45:20 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* BitSet.h (BitSetBit): operator int() is const.

Mon Mar 14 10:46:26 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* BitSet.h, BitString.{h,cc}, Integer.h, Rational.h, String.h:
	Make operator= and similar operators return a reference to lhs.
	Patches from Martin Pottendorfer <fs_potte@aaf.alcatel.at>.

	* Obstack.cc:  Re-do int -> char* convertsion (using pointer
	subtraction as in the C version of obstack.h) to avoid problems
	on 64-bits machines like the Alpha.
	* Integer.cc (operator>>):  Return stream, not 0.
	* CursesW.h (box, scroll, touchwin):  If these are macros (as
	they can be in the SYSV-based nurses.h), convert to inlines.
	* Fix.h (Fix::Fix(int, const _Fix)):  Use named constants instead
	of integer literals.  Patch from Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

Thu Feb 10 16:36:37 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* BitSet.cc (BitSetresize):  When newlen is greater than the
	old->len (but < old->sz), clear out new words.

Fri Feb  4 12:07:23 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* new.h: Wrap g++-specific things in #ifdef __GNUG__.
	(NEW): Use parens now.
	(new): Remove definition of realloc-ish new, as it doesn't belong
	in a standard header.

Wed Dec 29 22:52:43 1993  Mike Stump  (mrs@cygnus.com)

	* BitSet.h (BitSetBit): Add int operator = (const BitSetBit& b),
	because the default op= would have the wrong semantics.

Mon Dec  6 14:14:52 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* math-68881.h:  Removed.

Sun Dec  5 19:15:01 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* Integer.cc (cvtItoa): Delete unused var `gap'.
	* Fix.cc (Fix::printon): Delete unused var `format'.

Thu Nov 18 16:51:49 1993  Jeffrey A. Law  (law@snake.cs.utah.edu)

	* gen/*: Replace all occurences of <values.h> with <limits.h>.
	Replace MAXLONG with LONG_MAX.

Thu Nov  4 17:00:20 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* gen/List.hP:  Re-arrange #includes.  Patch submitted
	by chris@lslsun7.epfl.ch (Christian Iseli).

	* osfcn.h:  #include <sys/time.h> before <sys/resource.h>.

Wed Nov  3 12:56:28 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* Integer.cc:  Move functions that convert between Integer and
	double from here to ...
	* Intdouble.cc (new file):  Here.  Improves modularity, and lessens
	need for linking with libm.a on some systems (e.g. SunOS4).
	* Integer.hP:  New file.  Integer internals.
	* Integer.h, Makefile.in: Associated changes.

Mon Oct 25 19:16:19 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* timer.c (return_elapsed_time):  Make K&R-(not C++-)compatible.

	* configure.in: Define CINCLUDES (to get _G_config.h).
	* timer.cc -> timer.c:  Convert to reduce some portability
	problems with getrusage.
	* builtin.h (start_timer, return_elapsed_time):  Now extern "C".

Sat Oct 23 22:29:16 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* gen/SplaySet.hP (<T>SplaySet::operator =):  Added.
	(Many other classes also need operator=.  FIXME.)

Sun Oct 10 15:02:22 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* gen/VOHSet.ccP:  Patch from Doug Lea <dl@g.oswego.edu>, fixing
	a bug reported by David Einstein <EINSTEIN@pl9000.plh.af.mil>.

Thu Aug 26 18:02:51 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* Integer.cc (operator>>(istream&, Integer&):  Fixed some logic
	problems (single "0" dropped when base is unknown) by copying
	algorithm from istream::operator>>(int &).

Wed Aug 18 12:03:52 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* Makefile.in:  Add libgxx.list, for use by libg++/Makefile.
	* configure.in:  No longer need TOUCH_ON_COMPILE magic.
	* configure.in (MOSTLYCLEAN):  Add libgxx.list.

	* CursesW.h:  Remove re-definition of wattrset from macro to inline.
	Doesn't work under Solaris (wattrset is parameterless), and isn't
	needed (there are no conflicting definitions of wattrset in CursesW.*).

Sat Aug 14 14:01:04 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* malloc.c:  New version from Doug Lea.

Thu Jul 29 13:25:31 1993  Per Bothner  (bothner@kalessin)

	* error.cc (abort prototype):  Removed (can conflict with stdlib.h).
	* error.cc (ABORT):  New macro, to call abort(), but with a cast
	to avoid g++ warning about volatile function returning.
	* error.cc (default_one_arg_error_handler,
	default_two_arg_error_handler):  Use ABORT macro.	

Wed Jul 28 15:40:29 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* CursesW.cc, RNG.cc, Rational.cc, Regex.cc:
	Remove unneeded #include <values.h>.
	* DLList.cc, Obstack.cc, SLList.cc:  Replace non-standard #include
	<values.h> by ANSI <limits.h>, and macro MAXLONG by LONG_MAX.
	* Makefile.in (OBJS):  Remove dtoa.o: It is obsolete and non-portable.
	* std.h: Remove #include of non-standard <memory.h>.

Sat Jul 24 17:57:51 1993  Per Bothner  (bothner@kalessin)

	* LogNorm.cc (LogNormal::operator()):  Call exp (foo) instead
	of pow (M_E, foo), thus avoiding use of non-ANSI M_E macro
	(and probably being more efficient).
	* timer.cc:  Don't #include <osfcn.h>.
	Do #include <sys/time.h> before #include <sys/resource.h>.

Mon Jun 28 18:34:41 1993  Per Bothner  (bothner@rtl.cygnus.com)

	* regex.cc (STORE_NUMBER):  Add cast to avoid g++ warning.
	* Fix16.h (Fix32_m_max):  Add cast to avoid g++ warning.

Tue Jun 22 14:08:23 1993  Per Bothner  (bothner@deneb.cygnus.com)

	* Integer.h:  Remove Integer::operator long and
	Integer::operator double.  They cuase ambiguities, and this
	seems the cleanest fix, though it does break compatibility.
	* regex.h, regex.cc:  Remove defs of re_comp and re_exec.

Fri Jun  4 18:06:54 1993  Per Bothner  (bothner@cygnus.com)

	* Integer.cc (setbit):  Do Iresize also when x.rep initially NULL.
	Fixes bug reported by Marco Franzen <cp44@ips.cs.tu-bs.de>.
	* Integer.cc (clearbit):  No need to resize to clear bits!

Tue Jun  1 16:06:23 1993  Per Bothner  (bothner@rtl.cygnus.com)

	* BitSet.h, Complex.h, SmplHist.h: #include <iostream.h>,
	not obsolete <stream.h>.
	* Fix.h (Fix::Fix(double&), Fix::operator=):  Take double, not double&.
	* Fix.h, Fix.cc, Fix16.h, Fix16.cc, Fix24.h, Fix24.cc:
	Make operands be const, where appropriate.  (Incoplete.)
	* Fix.cc (mantissa, multiply), String.cc (SubString::OK):
	Minor changes to avoid ambiguity complaints from cfront.
	* Fix.cc, Complex.cc, Rational.cc, String.cc, Integer.cc:
	Avoid non-standard iostream operations (ios::set, _fail).
	* Rational.cc (pow):  Use Integer::as_long().
	* Rational.cc (ceil, floor, round):  Use prefix ++ and --
	instead of (the missing) postfix versions.
	* Rational.h (Rational::Rational):  Add some more overloaded
	versions, to avoid cfront ambiguity complaints.
	* Integer.h (Integer::opertor long, Integer::operator double):
	Disable these, unless using g++.  These cause lots of
	ambiguities, which g++ tolerates, but shouldn't.
	* Integer.h (Integer::as_long, Integer::as_double):
	Substitues for above conversions.

	* gen/MPlex.ccP, gen/RPlex.ccP: ANSIfy bzero->memset, bcopy->memcpy.

	* GetOpt.cc, regex.cc:  #ifdef sparc, add declaration
	__builtin_alloca; needed when compiling on Solaris2 with cfront.
	* regex.cc (re_match_2):  Add extra cast, to make cfront happy.
	* Makefile.in (add-to-targetlib):  New rule.

Fri May 28 14:25:47 1993  Per Bothner  (bothner@rtl.cygnus.com)

	* BitSet.h (BitSetBit::operator==, BitSetBit::operator!=),
	BitString.h (BitStrBit::operator==, BitStrBit::operator!=):
	Remove redundant operators.
	* builtin.h (chr, str): Moved to ../iostream/stream.h.
	* CursesW.cc (CursesWindow::printw, CursesWindow::mvprintw):
	Assume existence of vsprintf.  (Will be provided by
	libiberty, at worst.)
	* CursesW.cc (CursesWindow::scanw, CursesWindow::mvscanw):
	Re-do logic for missing vsscanf:  Provide an implementation,
	unless we're using GNU iostreams.

Wed May 26 15:09:49 1993  Per Bothner  (bothner@cygnus.com)

	* CursesW.h:  Also "convert" wstandend, wstandout, and wattrset
	from macros to inlines.  Needed for Coherent 4.0.
	Patch from Jim West <jwest@jwest.ecen.okstate.edu>.

Thu May  6 15:52:40 1993  Per Bothner  (bothner@cygnus.com)

	* Rational.cc (Rational::fits_in_float, Rational::fits_in_double):
	Add explicit double->Rational conversion; else cfront complains.
	* SLList.h (SLNode::SLNode), DLList.h (DLNode::DLNode):
	Don't use mem-initializers for members of a base class.
	* DLList.h (DLList::remove_front, DLList::remove_rear), SLList.h
	(SLList::remove_front):  Use base class qualifiers to avoid ambiguity.
	* gen/AVLMap.ccP, gen/AVLSet.ccP, gen/RAVLMap.ccP:  Cfront
	complains about jumps past initializer (in switch statement).
	Fix by adding block around such statements.

Fri Apr 30 15:03:12 1993  Per Bothner  (bothner@cygnus.com)

	* BitSet.cc (BitSet::printon):  Fix name clash (rename s -> os).
	* dtoa.cc (dtoa):  #ifdef out unless __GNUC__, since cfront
	can't compile it (variable-sized array), and it's obsolete anyway.
	* configure.in:  Set TOUCH_ON_COMPILE to cause stamp file to
	be touched on every compile.

Mon Apr 19 00:48:10 1993  Per Bothner  (bothner@cygnus.com)

	* gen/Plex.ccP (Plex::del_chunk):  Delete unused local variable.

	* Makefile.in, configure.in:  Re-vamped configure scheme.
	* CursesW.h:  #undef lines to avoid clash on SCO.

Fri Apr 16 15:25:39 1993  Per Bothner  (bothner@cygnus.com)

	* BitSet.{h,cc}, BitString.{h,cc}:  Rename BitSet::previous()
	and BitString::pvreious() to prev() for the sake of consistency
	with other libg++ classes.  Keep previous() as a synonym
	for compatibility.

Fri Mar  5 17:25:59 1993  Per Bothner  (bothner@rtl.cygnus.com)

	* Integer.cc (Icopy_zero):  Make sure we don't trash
	a STATIC_IntRep object.
	* Integer.cc:  #include <math.h> after <limits.h> and <float.h>
	to avoid some conflict I don't remember.

Tue Jan  5 20:52:29 1993  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* Rational.cc (floor, ceil, round): Use prefix ++ and --, not
	postfix, since the Integer class only has prefix defined.

Tue Dec 29 13:15:59 1992  Ian Lance Taylor  (ian@cygnus.com)

	* builtin.h: Check _G_MATH_H_INLINES rather than __hpux.
	* CursesW.h: Undef "lines" to avoid problems on SCO 3.2v4.

Mon Dec 21 18:57:41 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* SLList.h:  Fix typo.
	* osfcn.h:  Don't include non-Posix <sys/time.h>.
	* Integer.h, String.h:  #include <iostream.h>, not old <stream.h>.
	* Integer.cc, String.cc:  Update _fail->ios::failbit,
	_eof->ios::eofbit.
	* CursesW.h:  #include <_G_config.h> before testing _H_HAVE_CURSES.
	* gen/{XPBag,OXPBag}.h: Add #undef remove, to avoid conflicts
	with systems where stdio.h defines remove as a macro.

Wed Dec  9 14:36:37 1992  Per Bothner  (bothner@cygnus.com)

	* gen/Bag.hP, gen/List.hP:  #undef remove, in case some
	version of stdio.h defines remove as a macro.
	* gen/MPlex.ccP, gen/RPlex.ccP:  Use ANSI memset/memcpy
	instead of bzero/bcopy.

Thu Dec  3 15:37:17 1992  Per Bothner  (bothner@cygnus.com)

	* BitSet.cc (operator ==):  Fixed version from
	karplus@cse.ucsc.edu (Kevin Karplus).

	* Integer.cc (compare, operator>>):  Two small patches from
	Doug Lea.
	* regex.cc, BitString.cc, Fix.cc, Obstack.cc, GetOpt.cc:
	Replace bcopy/bzero/cmp by ANSI functions memcpy/memset/memcmp.
	* gen/List.ccP:  Use <T>EQ macro instead of ==, as appropriate.
	* SLList.h, DLList.h:  Fix destructors so that clear() is
	called directly in the SLList<T>/DLList<T> destructor, not
	in the BaseSLList/BaseDLList destructor, since the vtable
	pointer gets reset by the time the latter is called.

Thu Nov 19 17:54:43 1992  Per Bothner  (bothner@cygnus.com)

	* BitString.cc, BitSet.cc:  Use ANSI byte-string functions
	instead of BSD ones: bcmp->memcmp, bzero->memset, bcopy->memcpy.

Tue Nov 17 21:50:09 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* Complex.cc:  Use standard fabs() in preference to inline
	overloaded function abs() defined in builtin.h.
	* DLList.h, SLList.h:  Make destructors virtual, to shut up
	a warning.

Thu Oct 29 16:06:38 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* GetOpt.h (GetOpt):  Make GetOpt::ordering be a regular field,
	not a static member.  (No reason it should be static.)
	* GetOpt.cc:  Remove no-longer-needed dedinition of
	GetOpt::ordering (- which had visibility problems).

Tue Oct 27 14:50:52 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* Integer.cc, Sample.cc, SmplStat.cc, SmplHist.cc: Replace
	non-ANSI HUGE by standard HUGE_VAL or DBL_MAX as appropriate.

Wed Oct 21 15:22:32 1992  Per Bothner  (bothner@cygnus.com)

	* BitSet.cc (BitSetalloc, BitSetresize):  Merged in a bug fix
	from Kevin Karplus <karplus@cse.ucsc.edu>.
	* BitSet.ccANSI-fy:  bcopy -> memcpy, bzero -> memset.
	* Integer.h:  Un-optimize non-working operator %=.

Fri Oct 16 15:35:51 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* Obstack.h:  ANSI-fy:  bcopy -> memcpy.
	* builtin.h:  Supposedly, HPUX defines __hpux, not hpux.

Fri Sep 25 11:13:53 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* Obstack.cc (Obstack::_free):  Use delete [], not plain delete.

	* {SLList,DLList}.{h,cc}:  New template-based versions derived
	from gen/{SLList,DLList}.{h,cc}P.
	* Makefile.in:  Make {SLList,DLList}.o.

Thu Sep 10 22:48:49 1992  Ian Lance Taylor  (ian@cygnus.com)

	* CursesW.h, CursesW.cc: don't do anything if the new
	configuration flag _G_HAVE_CURSES is zero.

Mon Aug 31 22:52:17 1992  Brendan Kehoe  (brendan@rtl.cygnus.com)

	* BitString.h (BitPattern::BitPatterntoa): Fix comments around
	default parameters.

Mon Aug 31 15:44:07 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* gen/Vec.ccP (<T>Vec::index):  Use EQ instead of ==.
	* BitString.h (BitPatterntoa friend of BitPattern):
	Comment out default parameters to avoid duplication (that
	cfront -and ANSI- frown on).
	* String.h (SubString::contains)  Fix parameter list
	passed to String::search.
	* generic.h:  Comment out genericerror() declaration, since
	we don't support it.

Mon Aug 10 15:05:42 1992  Per Bothner  (bothner@cygnus.com)

	* gen/defs.hP:  New macro HASHTABLE_TOO_CROWDED to decide
	when to rehash a hash table (specifically, when 7/8 full).
	* gen/{VHSet.ccP,VHBag.ccP,vHMap.ccP}:  Use HASHTABLE_TOO_CROWDED
	to control when hash table needs to grow.

	* GetOpt.cc (GetOpt::operator()):  Replace index() -> strchr().
	* Integer.{h,cc}:  Add Integer::Integer(unsigned long)
	constructor in addition to Integer::Integer(long).
	* Rational.h:  Add Rational constructors taking (unsigned long).
	* Makefile.in (XTRAFLAGS):  Fix.

Mon Jul 13 06:52:57 1992  Michael Tiemann  (tiemann@rtl.cygnus.com)

	* Regex.cc (Regex::Regex): Cast malloc calls, since G++ no longer
	freely converts void* to char* (in accordance with dpANSI spec).

Fri Jun 26 11:23:32 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* BitString.cc:  Replace bcopy->memmove;
	add const to cast; remove two unused variables.
	* CursesW.h, builtin.h:  Kludges for hpux.
	* Integer.cc:  Replace MAXLONG/MINLONG by ANSI standard
	LONG_MAX/LONG_MIN.
	* Integer.h, Integer.cc, builtin.h:  Protect setbit function
	name from macro-expansion (on systems that define setbit as
	a macro is sys/param.h) by putting parentheses around it.
	* Obstack.h, regex.cc:  Use proper const-ness in casts,
	* std.h:  #include <_G_config.h>, since it may not be
	included otherwise if we're not using ../g++-include.

Sat Jun 13 20:05:24 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* gen/List.ccP:  Remove redundant 'inline'.
	* gen/{SLList,DLList}.{hP,ccP}: Make 'copy-ee' arg of copy
	constructors and 2nd arg of operator= be const.
	* CursesW.h:  Make more robust wrt const vs. non-const
	formal parameters to support SVR4.
	* EH.cc, EH2.c:  Removed (since currently not used).
	* GetOpt.cc:  alloca() kludges.
	* {BitSet,BitString}.{cc,h}, Integer.cc, String.cc:  Remove
	dependence on non-standard <values.h> in favor of standard
	CHAR_BIT from <limits.h>
	* Makefile.in:  Fix *clean stuff.
	* math-68881.h:  Updated versions form gcc2.
	* timer.cc: #include <sys/param.h> before <sys/times.h>.
	Use !_G_HAVE_SYS_RESOURCE, not !defined(_G_HAVE_SYS_RESOURCE).

Mon Jun 15 19:57:45 1992  Mike Stump  (mrs at cygnus.com)

	* regex.cc (re_compile_pattern): Add const to p, p1, pend and p1.

Wed Jun  3 16:49:51 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* Fix.cc (Fix::printon):  Fix fmtflags -> ios::fmtflags.
	* Makefile.in:  Hook (for Linux) for not putting regex.o into lib.
	* Regex.cc (Regex::Regex):  Replace cast.
	* regex.h (RE_DUP_MAX):  Gross hack for AIX.
	* regex.h, regex.cc, Regex.c:  Change 2nd arg of
	re_compile_pattern from (char*) to (const char*).
	* timer.cc:   Use explicit USE_TIMES to control use of
	times() instead of getrusage().  Supposedly, some systems
	have <sys/resource.h>, but not getrusage().

Fri May 29 11:51:44 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* Fix.cc (Fix::printon):: Re-write to use operator<< instead
	of the non-standard ostream::form.
	* builtin.h: Removed redundant declarations of min() and max()
	(available in minmax.h).
	* malloc.c, regex.cc:  Replace #ifdef USG by #ifdef _G_SYSV.
	* math-68881.h:  Update from gcc (should be removed!),
	* minmax.h: Removed redundant 'signed' qualifiers.
	Add (char) versiosn of min and max, and made the (signed
	char) version conditional #ifndef _G_BROKEN_SIGNED_CHAR.
	* regex.cc:  Better definitions of SIGN_EXTEND_CHAR.
	* new.cc:  Change //-comment to /*comment*/ for old cpp-s.
	* Binomial.h, DiscUnif.h, Erlang.h, Geom.h, HypGeom.h, LogNorm.h,
	NegExp.h, Normal.h, Poisson.h, Uniform.h, Weibull.h,
	gen/{AVLMap.hP,AVec.hP,RAVLMap.hP,SplayMap.hP}: Replace
	anachronistic base constructor syntax :(args) with :Base(args).
	* gen/stdlib.h (_do_treeify):  #include <stdlib.h> (for abort()).
	* gen/{CHNode,SplayNode,Vec}.hP:  Include <T>.defs.h.
	* gen/{FPlex,RPlex,XPlex}.{h,cc}P:  Remove redundant (and
	conflicting - according to cfront) append and prepend methods.
	* gen/SkipBag.ccP (SKipBag::seek):  Add cast (for cfront's sake).
	* gen/SkipMap.hP:  Fixed visibilty bug.
	* gen/Vec.ccP (operator==):  Use EQ macro, instead of !=.

Thu May 14 00:07:29 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* String.cc (operator>> and readline):  Clean up setting
	of ios::flags().

	* osfcn.h: Only #include sys/socket.h and sys/resource.h
	if these are available (according to _G_config.h).
	* timer.cc:  If HZ is undefined, define it as CLK_TCK (Posix, sort of).
	* gen/Lisp.hP:  #include "<T>.defs.h", as done elsewhere.

Sat May  9 12:34:09 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* std.h:  Add strcasecmp().

Wed May  6 01:33:05 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* gen/SLList.{hP,ccP}:  Make argument of copy constructor
	be const.

	* CursesW.h:  Add more kludges to convert macros into inline
	functions.  This is so we can use /usr/include/curses.h.
	* CursesW.h:  Replace uses of old cbool typedef by int.
	* bool.h:  Add a comment deprecating its use.

Tue May  5 15:19:24 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* CursesW.h:  Fix typo.
	* curses.cc:  Removed:  No longer needed.
	* Makefile.in:  Don't build curses.o.

Sat May  2 16:42:28 1992  Per Bothner  (bothner@rtl.cygnus.com)

	VMS changes from Eric Youngdale.
	* AllocRing.cc, Obstack.cc:  Remove some a VMS hack that
	is no longer needed.
	* CursesW.cc, regex.h:  More VMS stuff.

Thu Apr 30 13:52:30 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* timer.cc:  Use the more specific _G_HAVE_SYS_RESOURCE
	instead of the vague _G_SYSV.
	* delete.cc:  Redundant with gcc/libgcc.2.c.
	* malloc.c:  Remove junk that is now in gcc/libgcc2.c.

Thu Apr 30 09:11:21 1992  K. Richard Pixley  (rich@cygnus.com)

	* Makefile.in: make CFLAGS work from command line to make.

Mon Apr 20 14:42:34 1992  Per Bothner  (bothner@cygnus.com)

	* String.cc (String::OK):  Re-arrange to avoid
	not-reached warning.
	* Makefile.in:  Make 'touch stamp' not print out.

Fri Apr 17 12:01:33 1992  Per Bothner  (bothner at PersSony)

	* Integer.h, ...:  Moved from ../g++-include.  The plan
	is that ../g++-include only contains wrappers around
	standard C headers.  It would not be needed on systems
	where the C header already support C++ (e.g. SVR4, Linux).
	* gen:  Directory moved from ../g++-include.
	* CursesW.h, CursesW.cc: Handle using /usr/include/curses.h.
	* {Integer,Rational}.{h,cc}:  Add a convention that an IntRep
	whose sz==0 is staticly allocated and should not be deleted
	when an Integer is destroyed.  Define static INtReps for -1, 0,
	and 1, and use those where appropriate (including default
	constructors for Integer and Rational).
	* Integer.cc, Rational.cc, String.cc: Make Integer::OK(),
	Rational::OK() and String::OK() more robust.
	* RNG.cc:  Don't give RNG::{single,double}Mantissa initial
	values, since that may be too late if there is a static
	RNG.  Instead, initialize them in RNG::RNG.
	* bcopy.cc:  Removed (use libiberty version).
	* timer.cc:  Include <_G_config.h> to get __G_SYSV definition.

Tue Mar 24 16:15:40 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* Rational.cc:  Added Rational::fits_in_float() and
	fits_in_double() methods. Suggested/requested by
	Wendell Craig Baker <wbaker@ic.berkeley.edu>/

Mon Mar 23 16:34:16 1992  Per Bothner  (bothner@rtl.cygnus.com)

	* BitSet.cc, BitString.cc, Fix.cc:  Add printon() methods,
	and changed operator<< functions to use printon().
	Deprecate use of *toa-style functions that use AllocRing;
	the new printon() methods do not.
	* Integer.cc:  Added Integer::printon; fixed up operator<<
	to use opfx() as it's supposed to.

Fri Mar  6 15:25:55 1992  Per Bothner  (bothner@cygnus.com)

	* gnulib3.c:  Removed obsolete file.

Thu Mar  5 16:40:09 1992  Per Bothner  (bothner@cygnus.com)

	* *.cc:  Experiemnted with for each Foo.cc, adding
	'#define _COMPILING_Foo' to control compilation of inlines in
	Foo.h, then undid that change (see discussion in
	../g_++-include/ChangeLog).  Net difference is thus some
	minor tweaking.

	* regex.cc:  Tweaks to remove warnings.

Tue Mar  3 17:23:57 1992  Per Bothner  (bothner@cygnus.com)

	* BitSet.cc:  Move BitSet::clear() here from BitSet.h,
	and make non-inlined.

Sun Mar  1 16:26:07 1992  Per Bothner  (bothner@cygnus.com)

	* BitSet.cc, BitString.cc, Integer.cc, Rational.cc, String.cc:
	Make error() methods return void, not volatile void, since
	sometimes these error handlers *do* return.
	* Fix.cc:  Fix parenthesization error.

Sat Feb 29 14:07:32 1992  Michael Tiemann  (tiemann@cygnus.com)

	* regex.cc (re_compile_pattern): Back out source code change that
	was used to workaround a bug in g++.

Wed Feb 26 18:04:40 1992  K. Richard Pixley  (rich@cygnus.com)

	* Makefile.in, configure.in: removed traces of namesubdir,
	  -subdirs, $(subdir), $(unsubdir), some rcs triggers.  Forced
	  copyrights to '92, changed some from Cygnus to FSF.

Wed Feb 26 12:37:43 1992  Per Bothner  (bothner at cygnus.com)

	* BitSet.cc, BitString.cc, Integer.cc, Rational.cc,
	String.cc, error.cc:  Use new _VOLATILE_VOID macro (from
	builtin.h) (to allow compilation by other C++ compilers).
	* BitSet.cc,regex.cc:  #include <string.h>.

Thu Feb 20 21:46:17 1992  Per Bothner  (bothner at cygnus.com)

	* Regex.cc, regex.cc:  Add some needed casts.

Wed Feb 19 23:32:38 1992  Per Bothner  (bothner at cygnus.com)

	* timer.cc:  Include sys/types.h, since it is no
	longer automatically included by time.h.
	* regex.cc:  Added a comment about being based on regex.c.

Tue Feb 11 11:24:18 1992  Per Bothner  (bothner at cygnus.com)

	* String.cc:  Only skip ws if appropriate.
	* Complex.cc, Fix.cc, Integer.cc, Rational.cc:
	Apply fix below to other cases of operator>>.
	(And if the format is bad, set failbit, not badbit.)

	* String.cc (String::operator>>, readline):
	Use ipfx(0) instead of good() (unless _OLD_STREAMS).
	Thus make sure to set the failbit (to prevent
	infinite loops if eofbit is set without failbit).

Mon Feb 10 11:20:13 1992  Per Bothner  (bothner at rtl.cygnus.com)

	* String.C (String::operator const char*):  Don't
	use the str() function to copy into an AllocRing
	(since we're phasing out use of AllocRings).

Wed Jan 29 12:51:05 1992  Per Bothner  (bothner at cygnus.com)

	* Sample.cc:  Rename #included files to current names.

Fri Jan 24 15:51:50 1992  Per Bothner  (bothner at cygnus.com)

	* Makefile.in, configure.in: Some common rules moved to Make.defs.

	* new.cc, delete.cc: Include stdlib.h instead of obsolete malloc.h.

Fri Jan 17 15:03:28 1992  Per Bothner  (bothner at cygnus.com)

	Merge in Doug Lea's latest version; other fixes.
	* Most files:  Replaced copyright notice (the old
	ones claimed to be part of GNU CC).
	* Makefile.in (depend):  Tweak it.
	* ACG.cc, AllocRing.cc, BitSet.cc, BitString.cc, GetOpt.cc,
	RNG.cc, dtoa.cc:  Minor improvements.
	* BitString.cc, Fix16.cc, Fix24.cc, String.cc:  Change (int)
	to (unsigned int) various places, inspired by gcc-2 warnings.
	* Complex.cc, CursesW.cc, Fix.cc, Integer.cc, Rational.cc,
	String.cc:  Various changes to allow use with either the
	old stream facility or the new iostream facility.
	* regex.cc:  Use 'new char[]' instead of 'malloc()'.
	* bcopy.cc:  Minor changes.  Rename bcopy -> libgxx_bcopy.
	* malloc.c:  Use size_t consistently.
	* regex.cc: New version from FSF (C++ -ified).
	* minmax.cc:  New file.
	* MIN.cc, MAX.cc, std.cc:  Removed.

Sat Jan 11 14:44:17 1992  Michael Tiemann  (tiemann at cygnus.com)

	* CursesW.cc, GetOpt.cc: Don't declare any static class members
	`static' at top-level.

Sun Jan  5 00:12:05 1992  Per Bothner  (bothner at cygnus.com)

	* Makefile.in, configure.in:  Automated 'make depend' support.
	* String.cc:  For now, use _bad instead of ios::badbit.
	* File.cc, Filebuf.cc, PlotFile.cc, SFile.cc, filebuf.cc,
	form.cc, istream.cc, itoa.cc, ostream.cc, streambuf.cc:
	Moved to ../old-stream.
	* Makefile.in: Move rules for Making the stream stuff to
	../old-stream/Makefile.in.

Fri Jan  3 17:00:40 1992  Per Bothner  (bothner at cygnus.com)

	* Integer.cc, BitSet.cc, BitString.cc, Rational.cc:
	Add #include <builtin.h> as needed.  It was included by the
	old stream.h, but not by the new iostream.h.
	* Integer.cc:  Merged in Doug Lea's changes to avoid
	signed/unsigned warnings.
	* Fix.cc, String.cc:  Fix some portabilty problems that
	depended on the old stream code.

Tue Dec 31 18:19:15 1991  Per Bothner  (bothner at cygnus.com)

	* Makefile.in:  Move common definitions to ../Make.defs.
	* configure.in:  Define host_makefile_frag to pull in Make.defs.

Sat Dec 28 16:47:38 1991  Michael Tiemann  (tiemann at cygnus.com)

	* regex.cc (re_compile_pattern,re_comp,main): Use `malloc' instead
	of `new char[]' since we need to call realloc, and that doesn't
	work with arrays allocated by new.
	* Regex.cc (Regex::Regex): Ditto.

